Jump to content

[Tutorial] Múltiplo PHP cPanel (ntPHPselector)


LucasOliveira

Recommended Posts

Olá amigos do forum,

 

A algumas semanas atrás fiquei conhecendo um plugin mostrado pelo membro aqui do PDH o @RonanC ()

 

Foi postado la mas não em forma de tutorial, os créditos vai a ele (@RonanC) pois conheci através do mesmo.

 

Bom, eu estou utilizando a algum tempo.

 

Esse plugin, nos permite selecionar a versão do php que desejamos (dentre as que estão disponível na instalação do plugin)

 

O ntPHPSelector permite selecionar pelo cPanel as versões;

 

-PHP5.2

-PHP5.3

-PHP5.4

-PHP5.5

 

Ele não altera nada na versão php padrão do servidor.

 

Benefícios desse plugin (retirado do site oficial e traduzido by google)

-Selecione versão PHP preferido por diretório no mesmo domínio. 
-Use versões mulitple de php em ​​si mesmo domínio 
-Fácil acesso a quatro versões diferentes do PHP 
-Usuário interface amigável 
-Instale adicional PHPs completamente independente do PHP do cPanel 
-Simples lógica back-end; pode ser entender / solucionar qualquer pessoa que conheça Linux básico 
-A instalação é bastante simples 
-Integrado à configuração do PHP do cPanel. Quaisquer módulos adicionais acrescentados ao padrão PHP pode ser adicionado ao PHP adicional simplesmente usando a opção recompilação do script gerenciar. 
-Opção para recompilação única versão do PHP está disponível 
-Escolha as versões mais recentes de cada versão do PHP adicional com base no perfil EA3, 
-Adições feitas sob encomenda para o pacote será adicionado com base no pedido / feedback 
-Um clique em Remover para a configuração no diretório preferido 
-Desinstalação completa é muito fácil.

Bom vamos a instalação em que se resume em três passos:

cd /usr/local/src
wget -N http://nixtree.com/download/free/ntphpselector_manage.sh 
sh ntphpselector_manage.sh install

Cada linha é um comando a ser executado como root no ssh.

 

Recompilar uma versão em específica com o ntphpselector é fácil também.

cd /usr/local/src
wget -N http://nixtree.com/download/free/ntphpselector_manage.sh 
sh ntphpselector_manage.sh recompile <opção> 

2 para 5.2
3 para 5.3
4 para 5.4
5 para 5.5

Exemplo: sh ntphpselector_manage.sh recompile 2

No caso foi recompilado o 5.2

A remoção também é fácil caso não gostar

cd /usr/local/src
wget -N http://nixtree.com/download/free/ntphpselector_manage.sh 
sh ntphpselector_manage.sh uninstall

Considerações finais:

 

Eu venho utilizando sem problemas ou conflito, me serviu muto bem.

 

Uma observação que o pessoal tem de prestar atenção é adequar muito bem a quem usa modsecurity, e outra, se tem php.ini customizado no servidor (padrão) não esqueça de customizar os do ntphpselector também.

 

Para achar é fácil

locate php.ini

Créditos: RonanC (por ter demonstrado no pdh), LucasOliveira (por transformar em tutorial e ter o trabalho de jogar algumas frases no google rsrs)

Link to comment
Share on other sites

Join the conversation

You can post now and register later. If you have an account, sign in now to post with your account.

Guest
Unfortunately, your content contains terms that we do not allow. Please edit your content to remove the highlighted words below.
Reply to this topic...

×   Pasted as rich text.   Paste as plain text instead

  Only 75 emoji are allowed.

×   Your link has been automatically embedded.   Display as a link instead

×   Your previous content has been restored.   Clear editor

×   You cannot paste images directly. Upload or insert images from URL.

  • Recently Browsing   0 members

    • No registered users viewing this page.
×
×
  • Create New...

Important Information

Do you agree with our terms?